#!/bin/env python3
import timeit
import tkinter as tk
def clear_canvas():
    c.delete("all")
    create_rect()

def create_rect():
    c.create_rectangle(0, 0, 100, 100)
    root.update()
    root.update_idletasks()

root = tk.Tk()

c = tk.Canvas(root)
c.pack()
print("Test clearing")
print(timeit.timeit(clear_canvas, number=1000) * 1000, "microseconds per iteration")
c.destroy()

c = tk.Canvas(root)
c.pack()
print("Test not clearing")
print(timeit.timeit(create_rect, number=1000) * 1000, "microseconds per iteration")

root.destroy()
